<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-[1200px] h-[580px] flex flex-col items-end">
  <div class="grow w-full">
    <app-menu type="vertical">
      <app-menu-item *ngIf="organisations && organisations.length > 0">
        <app-menu-label>
          <div class="flex items-center gap-2 justify-start text-text-500 font-semibold">
            <i class="fa fa-house-user"></i>
            <div>Organisations</div>
            <div *ngIf="selectedOrganisations.length > 0" class="size-5 rounded-full flex items-center justify-center bg-primary-500 text-xs text-white">
              {{ selectedOrganisations.length > 9 ? '9+': selectedOrganisations.length }}
            </div>
          </div>
        </app-menu-label>
        <app-menu-content>
          <div class="pl-4 h-[520px] overflow-y-auto">
            <div *ngIf="organisations.length > 0; else empty" class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4">
              <ng-container *ngFor="let org of organisations">
                <label class="relative cursor-pointer" [for]="org.cid">
                  <app-org-tile [org]="org"> </app-org-tile>
                  <div class="absolute top-2 right-2">
                    <p-checkbox [(ngModel)]="selectedOrganisations" [value]="org" [inputId]="org.cid" />
                  </div>
                </label>
              </ng-container>
            </div>
            <ng-template #empty>
              <div class="w-full h-full flex flex-col items-center gap-4 py-10 justify-center">
                <div class="text-lg font-semibold text-text-300">
                  <app-sad-face></app-sad-face>
                </div>
                <div class="text-text-300 w-56 text-center">No foreign organisations connected to platform</div>
              </div>
            </ng-template>
          </div>
        </app-menu-content>
      </app-menu-item>
      <app-menu-item>
        <app-menu-label>
          <div class="flex items-center gap-2 justify-start text-text-500 font-semibold">
            <i class="fa fa-shapes"></i>
            <div>Types</div>
            <div *ngIf="selectedTypes.length > 0" class="size-5 rounded-full flex items-center justify-center bg-primary-500 text-xs text-white">
              {{ selectedTypes.length > 9 ? '9+': selectedTypes.length }}
            </div>
          </div>
        </app-menu-label>
        <app-menu-content>
          <div class="pl-4 h-[520px] overflow-y-auto">
            <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-0.5">
              <ng-container *ngFor="let type of types | slice:1">
                <label [for]="type.id" class="flex items-center gap-2 cursor-pointer py-2 px-2 hover:bg-primary-100 rounded-sm">
                  <p-checkbox [(ngModel)]="selectedTypes" [value]="type" [inputId]="type.id" />
                  <div class="cursor-pointer flex items-center gap-2">
                    <i [class]="type.icon" [style]="{ color: type.color }"></i>
                    <div>{{ type.title }}</div>
                  </div>
                </label>
              </ng-container>
            </div>
          </div>
        </app-menu-content>
      </app-menu-item>
    </app-menu>
  </div>
  <div class="flex items-center justify-end gap-4 h-[20px]">
    <p-button label="Clear" severity="danger" icon="fa fa-trash-can" [text]="true" (onClick)="clear()"></p-button>
    <p-button label="Filter" icon="fa fa-sliders" (onClick)="filter()"></p-button>
  </div>
</div>
